/*----------------------------------------------------------------------------
Copyright (c)2000 TogetherSoft Corporation. Patents pending. All rights reserved.
----------------------------------------------------------------------------*/

package ProductSaleMgmt.ShipmentToCustomer;

import java.util.Date;
import java.util.Vector;
import java.math.BigDecimal;

/** 
 * @author TogetherSoft
 * @stereotype moment-interval */
public class ShipmentToCustomer {
    public void makeShipmentToCustomer() {
    }

    public void addDetail() {
    }

    /**  */
    public BigDecimal calcWeight() {
        return new BigDecimal(0);
    }

    public BigDecimal calcDeliveryCharge() {
        return new BigDecimal(0);
    }

    public boolean verifyCreditStillAcceptable() {
        return false;
    }

    public String generateBillOfLadingContent() {
        return "XML/HTML";
    }

    public Vector mi_assessDeviationFromSales() {
        return new Vector();
    }

    public Vector mi_compareShipmentWithDeliveries() {
        return new Vector();
    }

    public static Vector listShipments() {
        return new Vector();
    }

    public static BigDecimal calcTotalWeightShipped() {
        return new BigDecimal(0);
    }

    public static BigDecimal calcTotalShipmentCosts() {
        return new BigDecimal(0);
    }

    /**
     *@shapeType AggregationLink
     *  @supplierCardinality 1..*
     * @clientCardinality 1
     */
    private ShipmentDetail lnkUnnamed11;
    private Date dateTime;
    private int shippingMethod;
    private BigDecimal cost;

    /**
     *@clientCardinality 1
     * @supplierCardinality 0..*
     */
    private ProductSaleMgmt.DeliveryToCustomer.DeliveryToCustomer lnkUnnamed;

    /** @supplierCardinality 1 */
    private IMakeShipmentToCustomer lnkUnnamed3;
    private int status;

    /**
     * @supplierCardinality 0..*
     * @clientCardinality 1..*
     */
    private ProductSaleMgmt.InvoiceToCustomer.InvoiceToCustomer lnkUnnamed1;
}


